#property link      "fatiaziz57@gmail.com"
 
extern int     Step=100;
extern double  IncLot=0.05;
extern double  MinProfit=0.5;
extern double  Stop=70;
extern int     Count=5;
extern int     HourStart=7;
extern int     Magic = 2016;


int init()
{
  Comment("fatiaziz57");
  GlobalVariableSet("OldBalance",AccountBalance());
  return(0);
}
int deinit()
{
  Comment("");
  return(0);
}
int start()
{
  int i;
  double sl,p;

  if (AccountEquity()>=GlobalVariableGet("OldBalance")+MinProfit)
  {
    DeletePendingOrders(Magic);
    CloseOrders(Magic);
    GlobalVariableSet("OldBalance",0);
  }

  if (MyOrdersTotal(Magic)>0) return(0);
  if (Hour()!=HourStart) return(0);
  
  GlobalVariableSet("OldBalance",AccountBalance());
  
  for(i=1;i<=Count;i++)
  {
    p=Bid+(i*Step)*Point;
    sl=p+(Stop)*Point;
    OrderSend(Symbol(),OP_SELLLIMIT,(i*IncLot),p,3,sl,0,"",Magic,0,Red);
  }

  for(i=1;i<=Count;i++)
  {
    p=Ask-(i*Step)*Point;
    sl=p-(Stop)*Point;
    OrderSend(Symbol(),OP_BUYLIMIT,(i*IncLot),p,3,sl,0,"",Magic,0,Green);
  }

  return(0);
}

int DeletePendingOrders(int Magic)
{
  int total  = OrdersTotal();
  
  for (int cnt = total-1 ; cnt >= 0 ; cnt--)
  {
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
    if (OrderMagicNumber() == Magic && OrderSymbol()==Symbol() && (OrderType()!=OP_BUY || OrderType()!=OP_SELL))
    {
      OrderDelete(OrderTicket());
    }
  }
  return(0);
}

int CloseOrders(int Magic)
{
  int total  = OrdersTotal();
  
  for (int cnt = total-1 ; cnt >= 0 ; cnt--)
  {
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
    if (OrderMagicNumber() == Magic && OrderSymbol()==Symbol())
    {
      if (OrderType()==OP_BUY)
      {
        OrderClose(OrderTicket(),OrderLots(),Bid,3);
      }
      
      if (OrderType()==OP_SELL)
      {
        OrderClose(OrderTicket(),OrderLots(),Ask,3);
      }
    }
  }
  return(0);
}

double MyOrdersProfit(int Magic)
{
  double c=0;
  int total  = OrdersTotal();
  
  for (int cnt = 0 ; cnt < total ; cnt++)
  {
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
    if (OrderMagicNumber() == Magic && OrderSymbol()==Symbol() && (OrderType()==OP_BUY || OrderType()==OP_SELL))
    {
      c=c+OrderProfit();
    }
  }
  return(c);
}

int MyOrdersTotal(int Magic)
{
  int c=0;
  int total  = OrdersTotal();

  for (int cnt = 0 ; cnt < total ; cnt++)
  {
    OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
    if (OrderMagicNumber() == Magic && OrderSymbol()==Symbol())
    {
      c++;
    }
  }
  return(c);
}

